Skip to content
rw3iss Auth

RegisterRequest

RegisterRequest

Defined in: dto/auth.ts:77

POST /auth/register request body.

Properties

app_code?

optional app_code?: string

Defined in: dto/auth.ts:88


display_name?

optional display_name?: string

Defined in: dto/auth.ts:83


email

email: string

Defined in: dto/auth.ts:78


first_name

first_name: string

Defined in: dto/auth.ts:80


invite_code?

optional invite_code?: string

Defined in: dto/auth.ts:86


invite_token?

optional invite_token?: string

Defined in: dto/auth.ts:87


last_name

last_name: string

Defined in: dto/auth.ts:81


mode?

optional mode?: "register" | "register_or_login" | "register_or_return"

Defined in: dto/auth.ts:91

“register” (default) / “register_or_login” / “register_or_return” (service-only). AUDIT 8.1.


organization_id?

optional organization_id?: string

Defined in: dto/auth.ts:84


organization_name?

optional organization_name?: string

Defined in: dto/auth.ts:85


password

password: string

Defined in: dto/auth.ts:79


phone?

optional phone?: string

Defined in: dto/auth.ts:82